Distance between to dimension lines? change

Hey,

I think you are looking to move the dimension, which you can do like this?

Hope that helps,

Mark

import clr

# Import RevitAPI
clr.AddReference("RevitAPI")
from Autodesk.Revit.DB import *

# Import DocumentManager and TransactionManager
clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

#The inputs to this node will be stored as a list in the IN variable.
doc = DocumentManager.Instance.CurrentDBDocument
app = DocumentManager.Instance.CurrentUIApplication.Application
obj = UnwrapElement(IN[0])

try:
    # Check if obj is iterable
    len(obj)
    dims = obj
except TypeError:  # If obj is not iterable (i.e., not a list)
    dims = [obj]

TransactionManager.Instance.EnsureInTransaction(doc)

[ElementTransformUtils.MoveElement(doc, dim.Id, XYZ(IN[1], IN[2], IN[3])) for dim in dims]

TransactionManager.Instance.TransactionTaskDone()

# Assign your output to the OUT variable.
OUT = dim